<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="UPS_Delivery" class="tab_content">
	<h3><a href="http://www.ups.com" target="_blank">{$TITLE}</a></h3>
	<p>{$LANG.ups.module_description}</p>

  	<fieldset><legend>License Settings - Configured within the UPSMultiItems Plugin</legend>
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{$PLUGIN_SUPPORT_ENDS}	
	</fieldset>
  
	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{$LATEST_PLUGIN_VERSION}
		{if $PLUGIN_MESSAGES}
			{$PLUGIN_MESSAGES}
		{/if}
	</fieldset>	 	
	
	<fieldset><legend>UPS Account Settings</legend>
		<div><label for="ups_api_key">API Key</label><span><input name="module[ups_api_key]" id="ups_api_key" class="textbox" type="text" value="{if isset($MODULE.ups_api_key)}{$MODULE.ups_api_key}{/if}" /></span></div>
		<div><label for="ups_username">UPS Login Username</label><span><input name="module[ups_username]" id="ups_username" class="textbox" type="text" value="{if isset($MODULE.ups_username)}{$MODULE.ups_username}{/if}" /></span></div>
		<div><label for="ups_password">UPS Login Password</label><span><input name="module[ups_password]" id="ups_password" class="textbox" type="password" value="{if isset($MODULE.ups_password)}{$MODULE.ups_password}{/if}" /></span></div>
		<div><label for="ups_acct_number">UPS Account Number</label><span><input name="module[ups_acct_number]" id="ups_acct_number" class="textbox" type="text" value="{if isset($MODULE.ups_acct_number)}{$MODULE.ups_acct_number}{/if}" /></span></div>		
		<div><label for="ups_use_neg_rates">Use Negotiated Rates</label><span><input type="hidden" name="module[ups_use_neg_rates]" id="ups_use_neg_rates" class="toggle" value="{if isset($MODULE.ups_use_neg_rates)}{$MODULE.ups_use_neg_rates}{else}0{/if}" /></span></div>
		<div>
			<label for="ups_api_mode">API Mode</label>
			<span>
			  <select name="module[ups_api_mode]" id="ups_api_mode">
				<option value="0" {$SELECT_ups_api_mode_0}>Test API</option>
				<option value="1" {$SELECT_ups_api_mode_1}>Production API</option>
			  </select>
			</span>
		</div>	  		
		
	</fieldset>
	
	<fieldset><legend>{$LANG.module.cubecart_settings}</legend>
	  <div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" /></span></div>
	  <div>
		<label for="has_address_set">Checkout Calculation</label>
		<span>
		  <select name="module[has_address_set]" id="has_address_set">
			<option value="0" {$SELECT_has_address_set_0}>Calculate shipping estimate before delivery address has been provided</option>
			<option value="1" {$SELECT_has_address_set_1}>Only calculate shipping prices when delivery address has been provided</option>
		  </select>
		</span>
	  </div>	  
	  <div><label for="packagingWeight">{$LANG.ups.package_weight}</label><span><input name="module[packagingWeight]" id="packagingWeight" class="textbox" type="text" value="{if isset($MODULE.packagingWeight)}{$MODULE.packagingWeight}{/if}" /></span></div>
	  <div><label for="handling">{$LANG.basket.shipping_handling}</label><span><input name="module[handling]" id="handling" class="textbox number" type="text" value="{if isset($MODULE.handling)}{$MODULE.handling}{/if}" /></span></div>
	  <div>
		<label for="tax">{$LANG.catalogue.tax_type}</label>
		<span>
		  <select name="module[tax]" id="tax">
			{foreach from=$TAXES item=tax}<option value="{$tax.id}" {$tax.selected}>{$tax.tax_name}</option>{/foreach}
		  </select>
		</span>
	  </div>
	  <div>
		<label for="container">Packaging Type</label>
		<span>
		  <select name="module[container]">
			<option value="UNK" {$SELECT_container_UNK}>Customer Packing</option>
			<option value="UL" {$SELECT_container_UL}>UPS Letter</option>
			<option value="PKG" {$SELECT_container_PKG}>Package</option>
			<option value="TUB" {$SELECT_container_TUB}>Tube</option>
			<option value="PAK" {$SELECT_container_PAK}>Pak</option>
			<option value="EXB" {$SELECT_container_EXB}>Express Box</option>
			<option value="10K" {$SELECT_container_10K}>10KG Box</option>
			<option value="25K" {$SELECT_container_25K}>25KG Box</option>
			<option value="PAL" {$SELECT_container_PAL}>Pallet</option>
			<option value="SEB" {$SELECT_container_SEB}>Small Express Box</option>
			<option value="MEB" {$SELECT_container_MEB}>Medium Express Box</option>
			<option value="LEB" {$SELECT_container_LEB}>Large Express Box</option>
		  </select>
		</span>
	  </div>
	  
	  <div>
		<label for="unitOM">Unit Of Measurement</label>
		<span>
		  <select name="module[unitOM]">
			<option value="CM" {$SELECT_unitOM_CM}>Centimeters</option>
			<option value="IN" {$SELECT_unitOM_IN}>Inches</option>
		  </select>
		</span>
	  </div>
	  
	  <div>
		<label for="rate">Pickup Type</label>
		<span>
		  <select name="module[rate]">
			<option value="RDP" {$SELECT_rate_RDP}>Daily Pickup</option>
			<option value="CC" {$SELECT_rate_CC}>Customer Counter</option>
			<option value="OTP" {$SELECT_rate_OTP}>One Time Pickup</option>
			<option value="OCA" {$SELECT_rate_OCA}>On Call Air</option>
			<option value="LC" {$SELECT_rate_LC}>Letter Center</option>
			<option value="ASC" {$SELECT_rate_ASC}>Air Service Center</option>
		  </select>
		</span>
	  </div>
	  
	  <div><label for="percentageUp">Add % to Final Price</label><span><input name="module[percentageUp]" id="percentageUp" class="textbox number" type="text" value="{if isset($MODULE.percentageUp)}{$MODULE.percentageUp}{/if}" /></span></div>
	  <div><label for="perBoxHandlingFee">Handling Cost Per Box</label><span><input name="module[perBoxHandlingFee]" id="perBoxHandlingFee" class="textbox number" type="text" value="{if isset($MODULE.perBoxHandlingFee)}{$MODULE.perBoxHandlingFee}{/if}" /></span></div>
	  
	  <div>
		<label for="perBoxExcludeFirst">Handling Cost Per Box Rule</label>
		<span>
		  <select name="module[perBoxExcludeFirst]">
			<option value="All" {$SELECT_perBoxExcludeFirst_All}>Charge a handling fee for every box</option>
			<option value="Extra" {$SELECT_perBoxExcludeFirst_Extra}>Charge a handling fee only for Single Box items</option>
		  </select>
		</span>
	  </div>	  
	
	</fieldset>

	<fieldset><legend>Domestic Services</legend>
		<div>
			<label for="product1AM">UPS Next Day Air Early AM</label>
			<span>
				<input type="hidden" name="module[product1AM]" id="product1AM" class="toggle" value="{$MODULE.product1AM}" />
			</span>
		</div>		

		<div>
			<label for="productNDA">UPS Next Day Air</label>
			<span>
				<input type="hidden" name="module[productNDA]" id="productNDA" class="toggle" value="{$MODULE.productNDA}" />
			</span>
		</div>

		<div>
			<label for="product1AS">UPS Next Day Air Saver</label>
			<span>
				<input type="hidden" name="module[product1AS]" id="product1AS" class="toggle" value="{$MODULE.product1AS}" />
			</span>
		</div>					

		<div>
			<label for="product2AM">UPS 2 Day Air AM</label>
			<span>
				<input type="hidden" name="module[product2AM]" id="product2AM" class="toggle" value="{$MODULE.product2AM}" />
			</span>
		</div>			
		
		<div>
			<label for="product2DA">UPS 2 Day Air</label>
			<span>
				<input type="hidden" name="module[product2DA]" id="product2DA" class="toggle" value="{$MODULE.product2DA}" />
			</span>
		</div>			
		
		<div>
			<label for="product3DS">UPS 3 Day Select</label>
			<span>
				<input type="hidden" name="module[product3DS]" id="product3DS" class="toggle" value="{$MODULE.product3DS}" />
			</span>
		</div>		
		
		<div>
			<label for="productGRD">UPS Ground</label>
			<span>
				<input type="hidden" name="module[productGRD]" id="productGRD" class="toggle" value="{$MODULE.productGRD}" />
			</span>
		</div>				
		
	</fieldset>
	
	
	<fieldset><legend>International Services</legend>

		<div>
			<label for="productSTD">UPS Worldwide Standard</label>
			<span>
				<input type="hidden" name="module[productSTD]" id="productSTD" class="toggle" value="{$MODULE.productSTD}" />
			</span>
		</div>
	
		<div>
			<label for="productWWE">UPS Worldwide Express</label>
			<span>
				<input type="hidden" name="module[productWWE]" id="productWWE" class="toggle" value="{$MODULE.productWWE}" />
			</span>
		</div>		
	
		<div>
			<label for="productWEP">UPS Worldwide Express Plus</label>
			<span>
				<input type="hidden" name="module[productWEP]" id="productWEP" class="toggle" value="{$MODULE.productWEP}" />
			</span>
		</div>			
	
		<div>
			<label for="productWEE">UPS Worldwide Expedited</label>
			<span>
				<input type="hidden" name="module[productWEE]" id="productWEE" class="toggle" value="{$MODULE.productWEE}" />
			</span>
		</div>			
		
		<div>
			<label for="productSAV">UPS Saver</label>
			<span>
				<input type="hidden" name="module[productSAV]" id="productSAV" class="toggle" value="{$MODULE.productSAV}" />
			</span>
		</div>			
	
  </fieldset>
  </div>
  {$MODULE_ZONES}
  <div class="form_control">
	<input type="submit" name="save" value="{$LANG.common.save}" />
  </div>
  
	<div id="ups_error_log" class="tab_content">  
		{$UPS_ERRORS}
	</div>
  
  
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
</form>